Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
182.0.0.0
Broadcast address
182.63.255.255
First usable
182.0.0.1
Last usable
182.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex B6000000 · Integer 3053453312 to 3057647615
Reverse DNS zones
0.182.in-addr.arpa
1.182.in-addr.arpa
2.182.in-addr.arpa
3.182.in-addr.arpa
4.182.in-addr.arpa
5.182.in-addr.arpa
6.182.in-addr.arpa
7.182.in-addr.arpa
8.182.in-addr.arpa
9.182.in-addr.arpa
10.182.in-addr.arpa
11.182.in-addr.arpa
12.182.in-addr.arpa
13.182.in-addr.arpa
14.182.in-addr.arpa
15.182.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00000000.00000000.00000000182.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10110110.00000000.00000000.00000000182.0.0.0
Broadcast10110110.00111111.11111111.11111111182.63.255.255
Split into smaller subnets/22

182.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.0.0.0/22182.0.0.1 to 182.0.3.254182.0.3.2551,022
2182.0.4.0/22182.0.4.1 to 182.0.7.254182.0.7.2551,022
3182.0.8.0/22182.0.8.1 to 182.0.11.254182.0.11.2551,022
4182.0.12.0/22182.0.12.1 to 182.0.15.254182.0.15.2551,022
5182.0.16.0/22182.0.16.1 to 182.0.19.254182.0.19.2551,022
6182.0.20.0/22182.0.20.1 to 182.0.23.254182.0.23.2551,022
7182.0.24.0/22182.0.24.1 to 182.0.27.254182.0.27.2551,022
8182.0.28.0/22182.0.28.1 to 182.0.31.254182.0.31.2551,022
9182.0.32.0/22182.0.32.1 to 182.0.35.254182.0.35.2551,022
10182.0.36.0/22182.0.36.1 to 182.0.39.254182.0.39.2551,022
11182.0.40.0/22182.0.40.1 to 182.0.43.254182.0.43.2551,022
12182.0.44.0/22182.0.44.1 to 182.0.47.254182.0.47.2551,022
13182.0.48.0/22182.0.48.1 to 182.0.51.254182.0.51.2551,022
14182.0.52.0/22182.0.52.1 to 182.0.55.254182.0.55.2551,022
15182.0.56.0/22182.0.56.1 to 182.0.59.254182.0.59.2551,022
16182.0.60.0/22182.0.60.1 to 182.0.63.254182.0.63.2551,022
17182.0.64.0/22182.0.64.1 to 182.0.67.254182.0.67.2551,022
18182.0.68.0/22182.0.68.1 to 182.0.71.254182.0.71.2551,022
19182.0.72.0/22182.0.72.1 to 182.0.75.254182.0.75.2551,022
20182.0.76.0/22182.0.76.1 to 182.0.79.254182.0.79.2551,022
21182.0.80.0/22182.0.80.1 to 182.0.83.254182.0.83.2551,022
22182.0.84.0/22182.0.84.1 to 182.0.87.254182.0.87.2551,022
23182.0.88.0/22182.0.88.1 to 182.0.91.254182.0.91.2551,022
24182.0.92.0/22182.0.92.1 to 182.0.95.254182.0.95.2551,022
25182.0.96.0/22182.0.96.1 to 182.0.99.254182.0.99.2551,022
26182.0.100.0/22182.0.100.1 to 182.0.103.254182.0.103.2551,022
27182.0.104.0/22182.0.104.1 to 182.0.107.254182.0.107.2551,022
28182.0.108.0/22182.0.108.1 to 182.0.111.254182.0.111.2551,022
29182.0.112.0/22182.0.112.1 to 182.0.115.254182.0.115.2551,022
30182.0.116.0/22182.0.116.1 to 182.0.119.254182.0.119.2551,022
31182.0.120.0/22182.0.120.1 to 182.0.123.254182.0.123.2551,022
32182.0.124.0/22182.0.124.1 to 182.0.127.254182.0.127.2551,022
33182.0.128.0/22182.0.128.1 to 182.0.131.254182.0.131.2551,022
34182.0.132.0/22182.0.132.1 to 182.0.135.254182.0.135.2551,022
35182.0.136.0/22182.0.136.1 to 182.0.139.254182.0.139.2551,022
36182.0.140.0/22182.0.140.1 to 182.0.143.254182.0.143.2551,022
37182.0.144.0/22182.0.144.1 to 182.0.147.254182.0.147.2551,022
38182.0.148.0/22182.0.148.1 to 182.0.151.254182.0.151.2551,022
39182.0.152.0/22182.0.152.1 to 182.0.155.254182.0.155.2551,022
40182.0.156.0/22182.0.156.1 to 182.0.159.254182.0.159.2551,022
41182.0.160.0/22182.0.160.1 to 182.0.163.254182.0.163.2551,022
42182.0.164.0/22182.0.164.1 to 182.0.167.254182.0.167.2551,022
43182.0.168.0/22182.0.168.1 to 182.0.171.254182.0.171.2551,022
44182.0.172.0/22182.0.172.1 to 182.0.175.254182.0.175.2551,022
45182.0.176.0/22182.0.176.1 to 182.0.179.254182.0.179.2551,022
46182.0.180.0/22182.0.180.1 to 182.0.183.254182.0.183.2551,022
47182.0.184.0/22182.0.184.1 to 182.0.187.254182.0.187.2551,022
48182.0.188.0/22182.0.188.1 to 182.0.191.254182.0.191.2551,022
49182.0.192.0/22182.0.192.1 to 182.0.195.254182.0.195.2551,022
50182.0.196.0/22182.0.196.1 to 182.0.199.254182.0.199.2551,022
51182.0.200.0/22182.0.200.1 to 182.0.203.254182.0.203.2551,022
52182.0.204.0/22182.0.204.1 to 182.0.207.254182.0.207.2551,022
53182.0.208.0/22182.0.208.1 to 182.0.211.254182.0.211.2551,022
54182.0.212.0/22182.0.212.1 to 182.0.215.254182.0.215.2551,022
55182.0.216.0/22182.0.216.1 to 182.0.219.254182.0.219.2551,022
56182.0.220.0/22182.0.220.1 to 182.0.223.254182.0.223.2551,022
57182.0.224.0/22182.0.224.1 to 182.0.227.254182.0.227.2551,022
58182.0.228.0/22182.0.228.1 to 182.0.231.254182.0.231.2551,022
59182.0.232.0/22182.0.232.1 to 182.0.235.254182.0.235.2551,022
60182.0.236.0/22182.0.236.1 to 182.0.239.254182.0.239.2551,022
61182.0.240.0/22182.0.240.1 to 182.0.243.254182.0.243.2551,022
62182.0.244.0/22182.0.244.1 to 182.0.247.254182.0.247.2551,022
63182.0.248.0/22182.0.248.1 to 182.0.251.254182.0.251.2551,022
64182.0.252.0/22182.0.252.1 to 182.0.255.254182.0.255.2551,022
65182.1.0.0/22182.1.0.1 to 182.1.3.254182.1.3.2551,022
66182.1.4.0/22182.1.4.1 to 182.1.7.254182.1.7.2551,022
67182.1.8.0/22182.1.8.1 to 182.1.11.254182.1.11.2551,022
68182.1.12.0/22182.1.12.1 to 182.1.15.254182.1.15.2551,022
69182.1.16.0/22182.1.16.1 to 182.1.19.254182.1.19.2551,022
70182.1.20.0/22182.1.20.1 to 182.1.23.254182.1.23.2551,022
71182.1.24.0/22182.1.24.1 to 182.1.27.254182.1.27.2551,022
72182.1.28.0/22182.1.28.1 to 182.1.31.254182.1.31.2551,022
73182.1.32.0/22182.1.32.1 to 182.1.35.254182.1.35.2551,022
74182.1.36.0/22182.1.36.1 to 182.1.39.254182.1.39.2551,022
75182.1.40.0/22182.1.40.1 to 182.1.43.254182.1.43.2551,022
76182.1.44.0/22182.1.44.1 to 182.1.47.254182.1.47.2551,022
77182.1.48.0/22182.1.48.1 to 182.1.51.254182.1.51.2551,022
78182.1.52.0/22182.1.52.1 to 182.1.55.254182.1.55.2551,022
79182.1.56.0/22182.1.56.1 to 182.1.59.254182.1.59.2551,022
80182.1.60.0/22182.1.60.1 to 182.1.63.254182.1.63.2551,022
81182.1.64.0/22182.1.64.1 to 182.1.67.254182.1.67.2551,022
82182.1.68.0/22182.1.68.1 to 182.1.71.254182.1.71.2551,022
83182.1.72.0/22182.1.72.1 to 182.1.75.254182.1.75.2551,022
84182.1.76.0/22182.1.76.1 to 182.1.79.254182.1.79.2551,022
85182.1.80.0/22182.1.80.1 to 182.1.83.254182.1.83.2551,022
86182.1.84.0/22182.1.84.1 to 182.1.87.254182.1.87.2551,022
87182.1.88.0/22182.1.88.1 to 182.1.91.254182.1.91.2551,022
88182.1.92.0/22182.1.92.1 to 182.1.95.254182.1.95.2551,022
89182.1.96.0/22182.1.96.1 to 182.1.99.254182.1.99.2551,022
90182.1.100.0/22182.1.100.1 to 182.1.103.254182.1.103.2551,022
91182.1.104.0/22182.1.104.1 to 182.1.107.254182.1.107.2551,022
92182.1.108.0/22182.1.108.1 to 182.1.111.254182.1.111.2551,022
93182.1.112.0/22182.1.112.1 to 182.1.115.254182.1.115.2551,022
94182.1.116.0/22182.1.116.1 to 182.1.119.254182.1.119.2551,022
95182.1.120.0/22182.1.120.1 to 182.1.123.254182.1.123.2551,022
96182.1.124.0/22182.1.124.1 to 182.1.127.254182.1.127.2551,022
97182.1.128.0/22182.1.128.1 to 182.1.131.254182.1.131.2551,022
98182.1.132.0/22182.1.132.1 to 182.1.135.254182.1.135.2551,022
99182.1.136.0/22182.1.136.1 to 182.1.139.254182.1.139.2551,022
100182.1.140.0/22182.1.140.1 to 182.1.143.254182.1.143.2551,022
101182.1.144.0/22182.1.144.1 to 182.1.147.254182.1.147.2551,022
102182.1.148.0/22182.1.148.1 to 182.1.151.254182.1.151.2551,022
103182.1.152.0/22182.1.152.1 to 182.1.155.254182.1.155.2551,022
104182.1.156.0/22182.1.156.1 to 182.1.159.254182.1.159.2551,022
105182.1.160.0/22182.1.160.1 to 182.1.163.254182.1.163.2551,022
106182.1.164.0/22182.1.164.1 to 182.1.167.254182.1.167.2551,022
107182.1.168.0/22182.1.168.1 to 182.1.171.254182.1.171.2551,022
108182.1.172.0/22182.1.172.1 to 182.1.175.254182.1.175.2551,022
109182.1.176.0/22182.1.176.1 to 182.1.179.254182.1.179.2551,022
110182.1.180.0/22182.1.180.1 to 182.1.183.254182.1.183.2551,022
111182.1.184.0/22182.1.184.1 to 182.1.187.254182.1.187.2551,022
112182.1.188.0/22182.1.188.1 to 182.1.191.254182.1.191.2551,022
113182.1.192.0/22182.1.192.1 to 182.1.195.254182.1.195.2551,022
114182.1.196.0/22182.1.196.1 to 182.1.199.254182.1.199.2551,022
115182.1.200.0/22182.1.200.1 to 182.1.203.254182.1.203.2551,022
116182.1.204.0/22182.1.204.1 to 182.1.207.254182.1.207.2551,022
117182.1.208.0/22182.1.208.1 to 182.1.211.254182.1.211.2551,022
118182.1.212.0/22182.1.212.1 to 182.1.215.254182.1.215.2551,022
119182.1.216.0/22182.1.216.1 to 182.1.219.254182.1.219.2551,022
120182.1.220.0/22182.1.220.1 to 182.1.223.254182.1.223.2551,022
121182.1.224.0/22182.1.224.1 to 182.1.227.254182.1.227.2551,022
122182.1.228.0/22182.1.228.1 to 182.1.231.254182.1.231.2551,022
123182.1.232.0/22182.1.232.1 to 182.1.235.254182.1.235.2551,022
124182.1.236.0/22182.1.236.1 to 182.1.239.254182.1.239.2551,022
125182.1.240.0/22182.1.240.1 to 182.1.243.254182.1.243.2551,022
126182.1.244.0/22182.1.244.1 to 182.1.247.254182.1.247.2551,022
127182.1.248.0/22182.1.248.1 to 182.1.251.254182.1.251.2551,022
128182.1.252.0/22182.1.252.1 to 182.1.255.254182.1.255.2551,022
129182.2.0.0/22182.2.0.1 to 182.2.3.254182.2.3.2551,022
130182.2.4.0/22182.2.4.1 to 182.2.7.254182.2.7.2551,022
131182.2.8.0/22182.2.8.1 to 182.2.11.254182.2.11.2551,022
132182.2.12.0/22182.2.12.1 to 182.2.15.254182.2.15.2551,022
133182.2.16.0/22182.2.16.1 to 182.2.19.254182.2.19.2551,022
134182.2.20.0/22182.2.20.1 to 182.2.23.254182.2.23.2551,022
135182.2.24.0/22182.2.24.1 to 182.2.27.254182.2.27.2551,022
136182.2.28.0/22182.2.28.1 to 182.2.31.254182.2.31.2551,022
137182.2.32.0/22182.2.32.1 to 182.2.35.254182.2.35.2551,022
138182.2.36.0/22182.2.36.1 to 182.2.39.254182.2.39.2551,022
139182.2.40.0/22182.2.40.1 to 182.2.43.254182.2.43.2551,022
140182.2.44.0/22182.2.44.1 to 182.2.47.254182.2.47.2551,022
141182.2.48.0/22182.2.48.1 to 182.2.51.254182.2.51.2551,022
142182.2.52.0/22182.2.52.1 to 182.2.55.254182.2.55.2551,022
143182.2.56.0/22182.2.56.1 to 182.2.59.254182.2.59.2551,022
144182.2.60.0/22182.2.60.1 to 182.2.63.254182.2.63.2551,022
145182.2.64.0/22182.2.64.1 to 182.2.67.254182.2.67.2551,022
146182.2.68.0/22182.2.68.1 to 182.2.71.254182.2.71.2551,022
147182.2.72.0/22182.2.72.1 to 182.2.75.254182.2.75.2551,022
148182.2.76.0/22182.2.76.1 to 182.2.79.254182.2.79.2551,022
149182.2.80.0/22182.2.80.1 to 182.2.83.254182.2.83.2551,022
150182.2.84.0/22182.2.84.1 to 182.2.87.254182.2.87.2551,022
151182.2.88.0/22182.2.88.1 to 182.2.91.254182.2.91.2551,022
152182.2.92.0/22182.2.92.1 to 182.2.95.254182.2.95.2551,022
153182.2.96.0/22182.2.96.1 to 182.2.99.254182.2.99.2551,022
154182.2.100.0/22182.2.100.1 to 182.2.103.254182.2.103.2551,022
155182.2.104.0/22182.2.104.1 to 182.2.107.254182.2.107.2551,022
156182.2.108.0/22182.2.108.1 to 182.2.111.254182.2.111.2551,022
157182.2.112.0/22182.2.112.1 to 182.2.115.254182.2.115.2551,022
158182.2.116.0/22182.2.116.1 to 182.2.119.254182.2.119.2551,022
159182.2.120.0/22182.2.120.1 to 182.2.123.254182.2.123.2551,022
160182.2.124.0/22182.2.124.1 to 182.2.127.254182.2.127.2551,022
161182.2.128.0/22182.2.128.1 to 182.2.131.254182.2.131.2551,022
162182.2.132.0/22182.2.132.1 to 182.2.135.254182.2.135.2551,022
163182.2.136.0/22182.2.136.1 to 182.2.139.254182.2.139.2551,022
164182.2.140.0/22182.2.140.1 to 182.2.143.254182.2.143.2551,022
165182.2.144.0/22182.2.144.1 to 182.2.147.254182.2.147.2551,022
166182.2.148.0/22182.2.148.1 to 182.2.151.254182.2.151.2551,022
167182.2.152.0/22182.2.152.1 to 182.2.155.254182.2.155.2551,022
168182.2.156.0/22182.2.156.1 to 182.2.159.254182.2.159.2551,022
169182.2.160.0/22182.2.160.1 to 182.2.163.254182.2.163.2551,022
170182.2.164.0/22182.2.164.1 to 182.2.167.254182.2.167.2551,022
171182.2.168.0/22182.2.168.1 to 182.2.171.254182.2.171.2551,022
172182.2.172.0/22182.2.172.1 to 182.2.175.254182.2.175.2551,022
173182.2.176.0/22182.2.176.1 to 182.2.179.254182.2.179.2551,022
174182.2.180.0/22182.2.180.1 to 182.2.183.254182.2.183.2551,022
175182.2.184.0/22182.2.184.1 to 182.2.187.254182.2.187.2551,022
176182.2.188.0/22182.2.188.1 to 182.2.191.254182.2.191.2551,022
177182.2.192.0/22182.2.192.1 to 182.2.195.254182.2.195.2551,022
178182.2.196.0/22182.2.196.1 to 182.2.199.254182.2.199.2551,022
179182.2.200.0/22182.2.200.1 to 182.2.203.254182.2.203.2551,022
180182.2.204.0/22182.2.204.1 to 182.2.207.254182.2.207.2551,022
181182.2.208.0/22182.2.208.1 to 182.2.211.254182.2.211.2551,022
182182.2.212.0/22182.2.212.1 to 182.2.215.254182.2.215.2551,022
183182.2.216.0/22182.2.216.1 to 182.2.219.254182.2.219.2551,022
184182.2.220.0/22182.2.220.1 to 182.2.223.254182.2.223.2551,022
185182.2.224.0/22182.2.224.1 to 182.2.227.254182.2.227.2551,022
186182.2.228.0/22182.2.228.1 to 182.2.231.254182.2.231.2551,022
187182.2.232.0/22182.2.232.1 to 182.2.235.254182.2.235.2551,022
188182.2.236.0/22182.2.236.1 to 182.2.239.254182.2.239.2551,022
189182.2.240.0/22182.2.240.1 to 182.2.243.254182.2.243.2551,022
190182.2.244.0/22182.2.244.1 to 182.2.247.254182.2.247.2551,022
191182.2.248.0/22182.2.248.1 to 182.2.251.254182.2.251.2551,022
192182.2.252.0/22182.2.252.1 to 182.2.255.254182.2.255.2551,022
193182.3.0.0/22182.3.0.1 to 182.3.3.254182.3.3.2551,022
194182.3.4.0/22182.3.4.1 to 182.3.7.254182.3.7.2551,022
195182.3.8.0/22182.3.8.1 to 182.3.11.254182.3.11.2551,022
196182.3.12.0/22182.3.12.1 to 182.3.15.254182.3.15.2551,022
197182.3.16.0/22182.3.16.1 to 182.3.19.254182.3.19.2551,022
198182.3.20.0/22182.3.20.1 to 182.3.23.254182.3.23.2551,022
199182.3.24.0/22182.3.24.1 to 182.3.27.254182.3.27.2551,022
200182.3.28.0/22182.3.28.1 to 182.3.31.254182.3.31.2551,022
201182.3.32.0/22182.3.32.1 to 182.3.35.254182.3.35.2551,022
202182.3.36.0/22182.3.36.1 to 182.3.39.254182.3.39.2551,022
203182.3.40.0/22182.3.40.1 to 182.3.43.254182.3.43.2551,022
204182.3.44.0/22182.3.44.1 to 182.3.47.254182.3.47.2551,022
205182.3.48.0/22182.3.48.1 to 182.3.51.254182.3.51.2551,022
206182.3.52.0/22182.3.52.1 to 182.3.55.254182.3.55.2551,022
207182.3.56.0/22182.3.56.1 to 182.3.59.254182.3.59.2551,022
208182.3.60.0/22182.3.60.1 to 182.3.63.254182.3.63.2551,022
209182.3.64.0/22182.3.64.1 to 182.3.67.254182.3.67.2551,022
210182.3.68.0/22182.3.68.1 to 182.3.71.254182.3.71.2551,022
211182.3.72.0/22182.3.72.1 to 182.3.75.254182.3.75.2551,022
212182.3.76.0/22182.3.76.1 to 182.3.79.254182.3.79.2551,022
213182.3.80.0/22182.3.80.1 to 182.3.83.254182.3.83.2551,022
214182.3.84.0/22182.3.84.1 to 182.3.87.254182.3.87.2551,022
215182.3.88.0/22182.3.88.1 to 182.3.91.254182.3.91.2551,022
216182.3.92.0/22182.3.92.1 to 182.3.95.254182.3.95.2551,022
217182.3.96.0/22182.3.96.1 to 182.3.99.254182.3.99.2551,022
218182.3.100.0/22182.3.100.1 to 182.3.103.254182.3.103.2551,022
219182.3.104.0/22182.3.104.1 to 182.3.107.254182.3.107.2551,022
220182.3.108.0/22182.3.108.1 to 182.3.111.254182.3.111.2551,022
221182.3.112.0/22182.3.112.1 to 182.3.115.254182.3.115.2551,022
222182.3.116.0/22182.3.116.1 to 182.3.119.254182.3.119.2551,022
223182.3.120.0/22182.3.120.1 to 182.3.123.254182.3.123.2551,022
224182.3.124.0/22182.3.124.1 to 182.3.127.254182.3.127.2551,022
225182.3.128.0/22182.3.128.1 to 182.3.131.254182.3.131.2551,022
226182.3.132.0/22182.3.132.1 to 182.3.135.254182.3.135.2551,022
227182.3.136.0/22182.3.136.1 to 182.3.139.254182.3.139.2551,022
228182.3.140.0/22182.3.140.1 to 182.3.143.254182.3.143.2551,022
229182.3.144.0/22182.3.144.1 to 182.3.147.254182.3.147.2551,022
230182.3.148.0/22182.3.148.1 to 182.3.151.254182.3.151.2551,022
231182.3.152.0/22182.3.152.1 to 182.3.155.254182.3.155.2551,022
232182.3.156.0/22182.3.156.1 to 182.3.159.254182.3.159.2551,022
233182.3.160.0/22182.3.160.1 to 182.3.163.254182.3.163.2551,022
234182.3.164.0/22182.3.164.1 to 182.3.167.254182.3.167.2551,022
235182.3.168.0/22182.3.168.1 to 182.3.171.254182.3.171.2551,022
236182.3.172.0/22182.3.172.1 to 182.3.175.254182.3.175.2551,022
237182.3.176.0/22182.3.176.1 to 182.3.179.254182.3.179.2551,022
238182.3.180.0/22182.3.180.1 to 182.3.183.254182.3.183.2551,022
239182.3.184.0/22182.3.184.1 to 182.3.187.254182.3.187.2551,022
240182.3.188.0/22182.3.188.1 to 182.3.191.254182.3.191.2551,022
241182.3.192.0/22182.3.192.1 to 182.3.195.254182.3.195.2551,022
242182.3.196.0/22182.3.196.1 to 182.3.199.254182.3.199.2551,022
243182.3.200.0/22182.3.200.1 to 182.3.203.254182.3.203.2551,022
244182.3.204.0/22182.3.204.1 to 182.3.207.254182.3.207.2551,022
245182.3.208.0/22182.3.208.1 to 182.3.211.254182.3.211.2551,022
246182.3.212.0/22182.3.212.1 to 182.3.215.254182.3.215.2551,022
247182.3.216.0/22182.3.216.1 to 182.3.219.254182.3.219.2551,022
248182.3.220.0/22182.3.220.1 to 182.3.223.254182.3.223.2551,022
249182.3.224.0/22182.3.224.1 to 182.3.227.254182.3.227.2551,022
250182.3.228.0/22182.3.228.1 to 182.3.231.254182.3.231.2551,022
251182.3.232.0/22182.3.232.1 to 182.3.235.254182.3.235.2551,022
252182.3.236.0/22182.3.236.1 to 182.3.239.254182.3.239.2551,022
253182.3.240.0/22182.3.240.1 to 182.3.243.254182.3.243.2551,022
254182.3.244.0/22182.3.244.1 to 182.3.247.254182.3.247.2551,022
255182.3.248.0/22182.3.248.1 to 182.3.251.254182.3.251.2551,022
256182.3.252.0/22182.3.252.1 to 182.3.255.254182.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses